// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.30.0
// 	protoc        v3.21.12
// source: contentintegrity.proto

package protos

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// ArticleDataRequest params needed to make request
type ArticleDataRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Identifier        int64                  `protobuf:"varint,1,opt,name=identifier,proto3" json:"identifier,omitempty"`
	Project           string                 `protobuf:"bytes,2,opt,name=project,proto3" json:"project,omitempty"`
	VersionIdentifier int64                  `protobuf:"varint,3,opt,name=version_identifier,json=versionIdentifier,proto3" json:"version_identifier,omitempty"`
	DateModified      *timestamppb.Timestamp `protobuf:"bytes,4,opt,name=date_modified,json=dateModified,proto3" json:"date_modified,omitempty"`
	Templates         []string               `protobuf:"bytes,5,rep,name=templates,proto3" json:"templates,omitempty"`
	Categories        []string               `protobuf:"bytes,6,rep,name=categories,proto3" json:"categories,omitempty"`
}

func (x *ArticleDataRequest) Reset() {
	*x = ArticleDataRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_contentintegrity_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ArticleDataRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ArticleDataRequest) ProtoMessage() {}

func (x *ArticleDataRequest) ProtoReflect() protoreflect.Message {
	mi := &file_contentintegrity_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ArticleDataRequest.ProtoReflect.Descriptor instead.
func (*ArticleDataRequest) Descriptor() ([]byte, []int) {
	return file_contentintegrity_proto_rawDescGZIP(), []int{0}
}

func (x *ArticleDataRequest) GetIdentifier() int64 {
	if x != nil {
		return x.Identifier
	}
	return 0
}

func (x *ArticleDataRequest) GetProject() string {
	if x != nil {
		return x.Project
	}
	return ""
}

func (x *ArticleDataRequest) GetVersionIdentifier() int64 {
	if x != nil {
		return x.VersionIdentifier
	}
	return 0
}

func (x *ArticleDataRequest) GetDateModified() *timestamppb.Timestamp {
	if x != nil {
		return x.DateModified
	}
	return nil
}

func (x *ArticleDataRequest) GetTemplates() []string {
	if x != nil {
		return x.Templates
	}
	return nil
}

func (x *ArticleDataRequest) GetCategories() []string {
	if x != nil {
		return x.Categories
	}
	return nil
}

// ArticleDataResponse returns the metadata associated with the request in content integrity service
type ArticleDataResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Identifier         int64                  `protobuf:"varint,1,opt,name=identifier,proto3" json:"identifier,omitempty"`
	Project            string                 `protobuf:"bytes,2,opt,name=project,proto3" json:"project,omitempty"`
	VersionIdentifier  int64                  `protobuf:"varint,3,opt,name=version_identifier,json=versionIdentifier,proto3" json:"version_identifier,omitempty"`
	IsBreakingNews     bool                   `protobuf:"varint,4,opt,name=is_breaking_news,json=isBreakingNews,proto3" json:"is_breaking_news,omitempty"`
	EditsCount         int32                  `protobuf:"varint,5,opt,name=edits_count,json=editsCount,proto3" json:"edits_count,omitempty"`
	UniqueEditorsCount int32                  `protobuf:"varint,6,opt,name=unique_editors_count,json=uniqueEditorsCount,proto3" json:"unique_editors_count,omitempty"`
	DateCreated        *timestamppb.Timestamp `protobuf:"bytes,7,opt,name=date_created,json=dateCreated,proto3,oneof" json:"date_created,omitempty"`
	DateNamespaceMoved *timestamppb.Timestamp `protobuf:"bytes,8,opt,name=date_namespace_moved,json=dateNamespaceMoved,proto3,oneof" json:"date_namespace_moved,omitempty"`
}

func (x *ArticleDataResponse) Reset() {
	*x = ArticleDataResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_contentintegrity_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ArticleDataResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ArticleDataResponse) ProtoMessage() {}

func (x *ArticleDataResponse) ProtoReflect() protoreflect.Message {
	mi := &file_contentintegrity_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ArticleDataResponse.ProtoReflect.Descriptor instead.
func (*ArticleDataResponse) Descriptor() ([]byte, []int) {
	return file_contentintegrity_proto_rawDescGZIP(), []int{1}
}

func (x *ArticleDataResponse) GetIdentifier() int64 {
	if x != nil {
		return x.Identifier
	}
	return 0
}

func (x *ArticleDataResponse) GetProject() string {
	if x != nil {
		return x.Project
	}
	return ""
}

func (x *ArticleDataResponse) GetVersionIdentifier() int64 {
	if x != nil {
		return x.VersionIdentifier
	}
	return 0
}

func (x *ArticleDataResponse) GetIsBreakingNews() bool {
	if x != nil {
		return x.IsBreakingNews
	}
	return false
}

func (x *ArticleDataResponse) GetEditsCount() int32 {
	if x != nil {
		return x.EditsCount
	}
	return 0
}

func (x *ArticleDataResponse) GetUniqueEditorsCount() int32 {
	if x != nil {
		return x.UniqueEditorsCount
	}
	return 0
}

func (x *ArticleDataResponse) GetDateCreated() *timestamppb.Timestamp {
	if x != nil {
		return x.DateCreated
	}
	return nil
}

func (x *ArticleDataResponse) GetDateNamespaceMoved() *timestamppb.Timestamp {
	if x != nil {
		return x.DateNamespaceMoved
	}
	return nil
}

var File_contentintegrity_proto protoreflect.FileDescriptor

var file_contentintegrity_proto_rawDesc = []byte{
	0x0a, 0x16, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x72, 0x69,
	0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x10, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e,
	0x74, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x72, 0x69, 0x74, 0x79, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65,
	0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xfc, 0x01, 0x0a, 0x12,
	0x41, 0x72, 0x74, 0x69, 0x63, 0x6c, 0x65, 0x44, 0x61, 0x74, 0x61, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x1e, 0x0a, 0x0a, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69,
	0x65, 0x72, 0x12, 0x18, 0x0a, 0x07, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x07, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x12, 0x2d, 0x0a, 0x12,
	0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x5f, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69,
	0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x11, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f,
	0x6e, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x12, 0x3f, 0x0a, 0x0d, 0x64,
	0x61, 0x74, 0x65, 0x5f, 0x6d, 0x6f, 0x64, 0x69, 0x66, 0x69, 0x65, 0x64, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0c,
	0x64, 0x61, 0x74, 0x65, 0x4d, 0x6f, 0x64, 0x69, 0x66, 0x69, 0x65, 0x64, 0x12, 0x1c, 0x0a, 0x09,
	0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x09, 0x52,
	0x09, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x12, 0x1e, 0x0a, 0x0a, 0x63, 0x61,
	0x74, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x09, 0x52, 0x0a,
	0x63, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x22, 0xbc, 0x03, 0x0a, 0x13, 0x41,
	0x72, 0x74, 0x69, 0x63, 0x6c, 0x65, 0x44, 0x61, 0x74, 0x61, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x1e, 0x0a, 0x0a, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69,
	0x65, 0x72, 0x12, 0x18, 0x0a, 0x07, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x07, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x12, 0x2d, 0x0a, 0x12,
	0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x5f, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69,
	0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x11, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f,
	0x6e, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x12, 0x28, 0x0a, 0x10, 0x69,
	0x73, 0x5f, 0x62, 0x72, 0x65, 0x61, 0x6b, 0x69, 0x6e, 0x67, 0x5f, 0x6e, 0x65, 0x77, 0x73, 0x18,
	0x04, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0e, 0x69, 0x73, 0x42, 0x72, 0x65, 0x61, 0x6b, 0x69, 0x6e,
	0x67, 0x4e, 0x65, 0x77, 0x73, 0x12, 0x1f, 0x0a, 0x0b, 0x65, 0x64, 0x69, 0x74, 0x73, 0x5f, 0x63,
	0x6f, 0x75, 0x6e, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0a, 0x65, 0x64, 0x69, 0x74,
	0x73, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x30, 0x0a, 0x14, 0x75, 0x6e, 0x69, 0x71, 0x75, 0x65,
	0x5f, 0x65, 0x64, 0x69, 0x74, 0x6f, 0x72, 0x73, 0x5f, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x06,
	0x20, 0x01, 0x28, 0x05, 0x52, 0x12, 0x75, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x45, 0x64, 0x69, 0x74,
	0x6f, 0x72, 0x73, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x42, 0x0a, 0x0c, 0x64, 0x61, 0x74, 0x65,
	0x5f, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x48, 0x00, 0x52, 0x0b, 0x64, 0x61,
	0x74, 0x65, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x88, 0x01, 0x01, 0x12, 0x51, 0x0a, 0x14,
	0x64, 0x61, 0x74, 0x65, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x5f, 0x6d,
	0x6f, 0x76, 0x65, 0x64, 0x18, 0x08, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d,
	0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x48, 0x01, 0x52, 0x12, 0x64, 0x61, 0x74, 0x65, 0x4e, 0x61,
	0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x4d, 0x6f, 0x76, 0x65, 0x64, 0x88, 0x01, 0x01, 0x42,
	0x0f, 0x0a, 0x0d, 0x5f, 0x64, 0x61, 0x74, 0x65, 0x5f, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64,
	0x42, 0x17, 0x0a, 0x15, 0x5f, 0x64, 0x61, 0x74, 0x65, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70,
	0x61, 0x63, 0x65, 0x5f, 0x6d, 0x6f, 0x76, 0x65, 0x64, 0x32, 0x71, 0x0a, 0x10, 0x43, 0x6f, 0x6e,
	0x74, 0x65, 0x6e, 0x74, 0x49, 0x6e, 0x74, 0x65, 0x67, 0x72, 0x69, 0x74, 0x79, 0x12, 0x5d, 0x0a,
	0x0e, 0x47, 0x65, 0x74, 0x41, 0x72, 0x74, 0x69, 0x63, 0x6c, 0x65, 0x44, 0x61, 0x74, 0x61, 0x12,
	0x24, 0x2e, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x72, 0x69,
	0x74, 0x79, 0x2e, 0x41, 0x72, 0x74, 0x69, 0x63, 0x6c, 0x65, 0x44, 0x61, 0x74, 0x61, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x25, 0x2e, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x69,
	0x6e, 0x74, 0x65, 0x67, 0x72, 0x69, 0x74, 0x79, 0x2e, 0x41, 0x72, 0x74, 0x69, 0x63, 0x6c, 0x65,
	0x44, 0x61, 0x74, 0x61, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x0b, 0x5a, 0x09,
	0x2e, 0x2f, 0x3b, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
}

var (
	file_contentintegrity_proto_rawDescOnce sync.Once
	file_contentintegrity_proto_rawDescData = file_contentintegrity_proto_rawDesc
)

func file_contentintegrity_proto_rawDescGZIP() []byte {
	file_contentintegrity_proto_rawDescOnce.Do(func() {
		file_contentintegrity_proto_rawDescData = protoimpl.X.CompressGZIP(file_contentintegrity_proto_rawDescData)
	})
	return file_contentintegrity_proto_rawDescData
}

var file_contentintegrity_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_contentintegrity_proto_goTypes = []interface{}{
	(*ArticleDataRequest)(nil),    // 0: contentintegrity.ArticleDataRequest
	(*ArticleDataResponse)(nil),   // 1: contentintegrity.ArticleDataResponse
	(*timestamppb.Timestamp)(nil), // 2: google.protobuf.Timestamp
}
var file_contentintegrity_proto_depIdxs = []int32{
	2, // 0: contentintegrity.ArticleDataRequest.date_modified:type_name -> google.protobuf.Timestamp
	2, // 1: contentintegrity.ArticleDataResponse.date_created:type_name -> google.protobuf.Timestamp
	2, // 2: contentintegrity.ArticleDataResponse.date_namespace_moved:type_name -> google.protobuf.Timestamp
	0, // 3: contentintegrity.ContentIntegrity.GetArticleData:input_type -> contentintegrity.ArticleDataRequest
	1, // 4: contentintegrity.ContentIntegrity.GetArticleData:output_type -> contentintegrity.ArticleDataResponse
	4, // [4:5] is the sub-list for method output_type
	3, // [3:4] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_contentintegrity_proto_init() }
func file_contentintegrity_proto_init() {
	if File_contentintegrity_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_contentintegrity_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ArticleDataRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_contentintegrity_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ArticleDataResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_contentintegrity_proto_msgTypes[1].OneofWrappers = []interface{}{}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_contentintegrity_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_contentintegrity_proto_goTypes,
		DependencyIndexes: file_contentintegrity_proto_depIdxs,
		MessageInfos:      file_contentintegrity_proto_msgTypes,
	}.Build()
	File_contentintegrity_proto = out.File
	file_contentintegrity_proto_rawDesc = nil
	file_contentintegrity_proto_goTypes = nil
	file_contentintegrity_proto_depIdxs = nil
}
